unit uAPI_Timer;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  mmsystem; // fr timeSetEvent

type
  TForm1 = class(TForm)
    l1: TLabel;
    bStarteTimer: TButton;
    bBeendeTimer: TButton;
    procedure bStarteTimerClick(Sender: TObject);
    procedure bBeendeTimerClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1 : TForm1;
  // ID des Timers
  FID   : integer;

  // einfach mal hinnehmen
  procedure TimeCallback(TimerID,Msg : UINT; dwUser,dw1,dw2 : DWord); pascal;

implementation

{$R *.DFM}

procedure TimeCallback(TimerID,Msg : UINT; dwUser,dw1,dw2 : DWord); pascal;
begin
  // hier steht die Ereignisbehandlung
  Form1.l1.caption := IntToStr(StrToInt(Form1.l1.caption)+1);
end;

procedure TForm1.bStarteTimerClick(Sender: TObject);
begin
  // Start des Timers (Intervall 300 ms)
  FID := timeSetEvent(300,0,@TimeCallBack,0,TIME_PERIODIC);
end;

procedure TForm1.bBeendeTimerClick(Sender: TObject);
begin
  timeKillEvent(FID);
end;

end.
